test_utils.h File Reference
`#include <sndfile.h>`

Go to the source code of this file.

## Typedefs

typedef struct codec_munge_state_s | codec_munge_state_t
typedef struct complexify_state_s | complexify_state_t

## Enumerations

enum | { MUNGE_CODEC_NONE = 0 , MUNGE_CODEC_ALAW , MUNGE_CODEC_ULAW , MUNGE_CODEC_G726_40K , MUNGE_CODEC_G726_32K , MUNGE_CODEC_G726_24K , MUNGE_CODEC_G726_16K }

## Functions

complexify_state_t * | complexify_init (void)
void | complexify_release (complexify_state_t *s)
complexf_t | complexify (complexify_state_t *s, int16_t amp)
void | fft (complex_t data[], int len)
void | ifft (complex_t data[], int len)
codec_munge_state_t * | codec_munge_init (int codec, int info)
void | codec_munge_release (codec_munge_state_t *s)
void | codec_munge (codec_munge_state_t *s, int16_t amp[], int len)
SNDFILE * | sf_open_telephony_read (const char *name, int channels)
SNDFILE * | sf_open_telephony_write (const char *name, int channels)
int | sf_close_telephony (SNDFILE *handle)